Subject: Re: [PATCH net-next] net: dpaa2-mac: add support for more ethtool 10G link modes

From: "Russell King (Oracle)" <[email-masked]>
Date: Fri, 3 Sep 2021 12:34:34 +0100

On Fri, Sep 03, 2021 at 02:09:16PM +0300, Ioana Ciornei wrote:
> On Fri, Sep 03, 2021 at 11:33:58AM +0100, Russell King (Oracle) wrote:
> > On Mon, Aug 16, 2021 at 05:47:52PM +0300, Ioana Ciornei wrote:
> > > On Tue, Jul 20, 2021 at 03:11:34PM +0100, Russell King (Oracle) wrote:
> > > > On Tue, Jul 20, 2021 at 03:51:35PM +0200, Andrew Lunn wrote:
> > > > > On Tue, Jul 20, 2021 at 10:57:43AM +0100, Russell King wrote:
> > > > > > Phylink documentation says:
> > > > > >   Note that the PHY may be able to transform from one connection
> > > > > >   technology to another, so, eg, don't clear 1000BaseX just
> > > > > >   because the MAC is unable to BaseX mode. This is more about
> > > > > >   clearing unsupported speeds and duplex settings. The port modes
> > > > > >   should not be cleared; phylink_set_port_modes() will help with this.
> > > > > > 
> > > > > > So add the missing 10G modes.
> > > > > 
> > > > > Hi Russell
> > > > > 
> > > > > Would a phylink_set_10g(mask) helper make sense? As you say, it is
> > > > > about the speed, not the individual modes.
> > > > 
> > > > Yes, good point, and that will probably help avoid this in the future.
> > > > We can't do that for things like e.g. SGMII though, because 1000/half
> > > > isn't universally supported.
> > > > 
> > > > Shall we get this patch merged anyway and then clean it up - as such
> > > > a change will need to cover multiple drivers anyway?
> > > > 
> > > 
> > > This didn't get merged unfortunately.
> > > 
> > > Could you please resend it? Alternatively, I can take a look into adding
> > > that phylink_set_10g() helper if that is what's keeping it from being
> > > merged.
> > 
> > It looks like the original patch didn't appear in patchwork for some
> > reason - at least google can find it in lore's netdev archives, but
> > not in patchwork. I can only put this down to some kernel.org
> > unreliability - we've seen this unreliability in the past with netdev,
> > and it seems to be an ongoing issue.
> > 
> 
> Yes, it cannot be found though google but the patch appears in
> patchwork, it was tagged with 'Changes requested'.
> https://patchwork.kernel.org/project/netdevbpf/patch/[email-masked]/

Thanks. I wonder why searching for it via google and also via patchworks
search facility didn't find it.

So, it got incorrectly tagged by netdev maintainers, presumably because
they're too quick to classify a patch while discussion on the patch was
still ongoing - and there's no way for those discussing that to ever
know without finding it in patchwork. Which is pretty much impossible
unless you know the patchwork URL format and message ID, and are
prepared to regularly poll the patchwork website.

The netdev process, as a patch submitter or reviewer, is really very
unfriendly.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!